import { DigiNgFormCheckboxModule } from '@af/digi-ng/_form/form-checkbox';
import { DigiNgFormRadiobuttonGroupModule } from '@af/digi-ng/_form/form-radiobutton-group';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { LayoutComponent } from '@msfa-shared/components/layout/layout.component';
import { GemensamPlaneringFormComponent } from './gemensam-planering-form.component';
import { GemensamPlaneringFormService } from './gemensam-planering-form.service';
import { ApmModule } from '@elastic/apm-rum-angular';

describe('GemensamPlaneringFormComponent', () => {
  let component: GemensamPlaneringFormComponent;
  let fixture: ComponentFixture<GemensamPlaneringFormComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [GemensamPlaneringFormComponent, LayoutComponent],
      imports: [
        RouterTestingModule,
        HttpClientTestingModule,
        DigiNgFormRadiobuttonGroupModule,
        DigiNgFormCheckboxModule,
        ApmModule,
      ],
      providers: [GemensamPlaneringFormService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(GemensamPlaneringFormComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
